curl --request PATCH \
--url https://{environment}.ebury.io/contacts/{contact_id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"can_authorise_payments": true,
"can_make_same_currency_payments": true,
"can_manage_beneficiaries": true,
"can_manage_beneficiaries_groups": true,
"can_manage_contacts": true,
"can_manage_fix_forwards": true,
"can_manage_multipayments": true,
"can_manage_payments": true,
"can_manage_permissions": true,
"can_trade": true,
"can_make_independent_payments": true,
"can_drawdown": true,
"can_get_paid": true,
"can_manage_third_parties": true,
"can_authorize_payment_lvl_1": true,
"can_authorize_payment_lvl_2": true,
"can_authorize_payment_lvl_3": true,
"can_authorize_payment_lvl_4": true,
"can_trade_finance": true,
"can_select_multipayment_delivery_date": true,
"can_manage_trade_finance_permissions": true,
"can_create_card_topup": true,
"can_create_card_offload": true,
"has_online_access": true,
"language": "<string>",
"locale": "<string>",
"time_zone": "<string>"
}
'import requests
url = "https://{environment}.ebury.io/contacts/{contact_id}"
payload = {
"can_authorise_payments": True,
"can_make_same_currency_payments": True,
"can_manage_beneficiaries": True,
"can_manage_beneficiaries_groups": True,
"can_manage_contacts": True,
"can_manage_fix_forwards": True,
"can_manage_multipayments": True,
"can_manage_payments": True,
"can_manage_permissions": True,
"can_trade": True,
"can_make_independent_payments": True,
"can_drawdown": True,
"can_get_paid": True,
"can_manage_third_parties": True,
"can_authorize_payment_lvl_1": True,
"can_authorize_payment_lvl_2": True,
"can_authorize_payment_lvl_3": True,
"can_authorize_payment_lvl_4": True,
"can_trade_finance": True,
"can_select_multipayment_delivery_date": True,
"can_manage_trade_finance_permissions": True,
"can_create_card_topup": True,
"can_create_card_offload": True,
"has_online_access": True,
"language": "<string>",
"locale": "<string>",
"time_zone": "<string>"
}
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: '<authorization>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
can_authorise_payments: true,
can_make_same_currency_payments: true,
can_manage_beneficiaries: true,
can_manage_beneficiaries_groups: true,
can_manage_contacts: true,
can_manage_fix_forwards: true,
can_manage_multipayments: true,
can_manage_payments: true,
can_manage_permissions: true,
can_trade: true,
can_make_independent_payments: true,
can_drawdown: true,
can_get_paid: true,
can_manage_third_parties: true,
can_authorize_payment_lvl_1: true,
can_authorize_payment_lvl_2: true,
can_authorize_payment_lvl_3: true,
can_authorize_payment_lvl_4: true,
can_trade_finance: true,
can_select_multipayment_delivery_date: true,
can_manage_trade_finance_permissions: true,
can_create_card_topup: true,
can_create_card_offload: true,
has_online_access: true,
language: '<string>',
locale: '<string>',
time_zone: '<string>'
})
};
fetch('https://{environment}.ebury.io/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Update a contact
contact_id.
The fields language, locale, and time_zone may be omitted.
If omitted in the API request, the rest of the fields related to permissions will be updated to their default values (which is ‘false’)
PUT. This may be supported in a later release.Authorizations
An API Key.
Path Parameters
The identifier of a contact.
Query Parameters
The identifier of a client.
Body
List of field names and values for update an existing contact.
The data to update a contact.
True if contact can authorise payments, False otherwise.
True if contact can create trades and assign same currency payments, False otherwise.
True if contact can manage beneficiaries, False otherwise.
True if can manage beneficiaries groups, False otherwise.
True if contact can manage contacts, False otherwise.
True if contact can manage fixed forwards, False otherwise.
True if contact can manage multipayments, False otherwise.
True if contact can manage payments, False otherwise.
True if contact can manage permissions, False otherwise.
True if contact can execute trades, False otherwise.
True if contact can make independent payments, False otherwise.
True if contact can create drawdowns, False otherwise.
True if contact can see/create get paid requests, False otherwise.
True if contact can manage third parties, False otherwise.
True if contact can authorise payments at level 1, False otherwise.
True if contact can authorise payments at level 2, False otherwise.
True if contact can authorise payments at level 3, False otherwise.
True if contact can authorise payments at level 4, False otherwise.
True if contact can access trade finance, False otherwise.
True if contact can select delivery date in multipayments, False otherwise.
True if contact can manage trade finance permissions, False otherwise.
True if contact can create card topup transactions, False otherwise.
True if contact can create card offload transactions, False otherwise.
True if contact has access to Ebury Online, False otherwise.
The ISO 639-1:2002 code of the contact's language.
[a-z]{2}The ISO 639-1:2002 code of the contact's locale.
[a-z]{2}The time zone of the contact.
Response
Contact updated.